summaryrefslogtreecommitdiffstats
path: root/scripts/check-git
diff options
context:
space:
mode:
authorCheng Lingfei <chenglingfei@foxmail.com>2026-08-24 20:45:46 +0800
committerTejun Heo <tj@kernel.org>2026-08-24 06:55:59 -1000
commit909a3f0e9d8b0d8001cf6e99808f88eca8e44328 (patch)
treebe05d18bd5619b55ff3b30f28a292907021768ee /scripts/check-git
downloadlinux-stable-909a3f0e9d8b0d8001cf6e99808f88eca8e44328.tar.gz
linux-stable-909a3f0e9d8b0d8001cf6e99808f88eca8e44328.zip
docs: cgroup-v2: fix misc.events key format descriptiongrafted
In misc cgroup, misc.events does not output a simple "max" key. Instead, each registered misc resource outputs a separate key suffixed with ".max" (i.e., "<res>.max"). Update the documentation to clarify that the entry key is "<res>.max". Suggested-by: Michal Koutný <mkoutny@suse.com> Signed-off-by: Cheng Lingfei <chenglingfei@foxmail.com> Signed-off-by: Tejun Heo <tj@kernel.org>
Diffstat (limited to 'scripts/check-git')
-rwxr-xr-xscripts/check-git14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/check-git b/scripts/check-git
new file mode 100755
index 000000000..2ca6c5df1
--- /dev/null
+++ b/scripts/check-git
@@ -0,0 +1,14 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-only
+#
+# succeed if we are in a git repository
+
+srctree="$(dirname $0)/.."
+
+if ! git -C "${srctree}" rev-parse --verify HEAD >/dev/null 2>/dev/null; then
+ exit 1
+fi
+
+if ! test -z $(git -C "${srctree}" rev-parse --show-cdup 2>/dev/null); then
+ exit 1
+fi